#if !defined(_ATTRDIALOG_H)
#define _ATTRDIALOG_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraFileSystem.h"

class AttrDialog
{
public:
  struct strAttr {
    Str35 caption, legal;
    int nID, ctrlID;
    int xPos, yPos, len;
    int status;

    strAttr(strAttr *x = NULL) {
      caption = "";
      legal = "";
      nID = ctrlID = xPos = yPos = len = 0;
      status = ID_STATUS_NOTREADONLY;
    }
    strAttr(const strAttr &x) {
      caption = x.caption;
      legal = x.legal;
      nID = x.nID;
      ctrlID = x.ctrlID;
      xPos = x.xPos;
      yPos = x.yPos;
      status = x.status;
      len = x.len;
    }
    strAttr &operator=(strAttr x) {
      caption = x.caption;
      legal = x.legal;
      nID = x.nID;
      ctrlID = x.ctrlID;
      xPos = x.xPos;
      yPos = x.yPos;
      status = x.status;
      len = x.len;
      return *this;
    }
  };
  typedef DoraArray<strAttr> TypeStrAttr;

public:
  AttrDialog() {
    printf("   AttrDialog\n");
    itemAttr.removeAllElement();
  }
  ~AttrDialog() {
    printf("   AttrDialog\n");
  }

public:
  int getMaxItem();

public:
  void setAttrDialog(const int index);
  void setAttrReklama();
  void setAttrBDate();
  void setAttrBDate(const Str35 prefix);

public:
  TypeStrAttr    itemAttr;
  DoraFileSystem fs;
};

#endif

