#include "AttrMenu.h"

void AttrMenu::setGlobalMenu(const Str35 prefix)
{
  DoraFileSystem fs;
  Str35 fileName;
  fs.setDefaultDir();
  fileName = "";fileName = fileName + "/Calendar/Config/" + prefix + "/GLOBMENU_BIO";
  Str80 str;
  int offset = 0, nID = 100, index = 1;
  if(fs.isFileName(fileName)) {
    itemGlobMenu.removeAllElement();
    bool ok = true;
    do {
      strAttr item;
      str = "";str = fs.loadTextString(fileName, offset);
      if(str != "") {
	item.strMenu = "";item.strMenu = str;
	item.nID = nID;
	item.itemType = ID_STATUS_CHECK;
	itemGlobMenu.setElement(item, index);
	index++;nID += 100;
      } else {
	ok = false;
      }
      int len = strlen(str.p) + 1;
      offset += len;
    } while(ok != false);
  }
}

void AttrMenu::setPopupMenu(const int index, const Str35 prefix)
{
  DoraFileSystem fs;
  Str35 fileName;
  fileName = "";
  Str80 str;
  int offset = 0, indexID = 1, nID;
  fs.setDefaultDir();
  printf("AttrMenu -> setPopupMenu -> index = %4d\n", index);
  switch(index) {
  case 100 :
    fileName = fileName + "/Calendar/Config/" + prefix + "/POPMENU100_BIO";
    nID = 101;
    break;
  case 200 :
    fileName = fileName + "/Calendar/Config/" + prefix + "/POPMENU200_BIO";
    nID = 201;
    break;
  case 300 :
    fileName = fileName + "/Calendar/Config/" + prefix + "/POPMENU300_BIO";
    nID = 301;
    break;
  case 400 :
    fileName = fileName + "/Calendar/Config/" + prefix + "/POPMENU400_BIO";
    nID = 401;
    break;
  }
  if(fs.isFileName(fileName)) {
    itemPopupMenu.removeAllElement();
    bool ok = true;
    do {
      strAttr item;
      str = "";str = fs.loadTextString(fileName, offset);
      if(str != "") {
	item.strMenu = "";item.strMenu = str;
	if(str == "SEPARATOR")
	  item.itemType = ID_STATUS_SEPARATOR;
	else
	  item.itemType = ID_STATUS_CHECK;
	if(str == "SEPARATOR")
	  item.nID = ID_STATUS_SEPARATOR;
	else
	  item.nID = nID;;
	itemPopupMenu.setElement(item, indexID);
	nID++;indexID++;
      } else {
	ok = false;
      }
      int len = strlen(str.p) + 1;
      offset += len;
    } while(ok != false);
  }
}

int AttrMenu::getMaxEPopupItem()
{
  int maxElement = itemPopupMenu.maxElement();

  return maxElement;
}

int AttrMenu::getMaxLPopupItem()
{
  int maxLen = 0;
  int maxElement = itemPopupMenu.maxElement();
  for(int i = 0; i <= maxElement - 1; i++) {
    int len = strlen(itemPopupMenu[i].strMenu.p);
    if(len >= maxLen)
      maxLen = len;
  }
  return maxLen;
}
