#if !defined(_ATTRMENU_H)
#define _ATTRMENU_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraFileSystem.h"

class AttrMenu
{
public:
  struct strAttr {
    Str35 strMenu;
    int     nID;
    int     itemType;
    strAttr(strAttr *x = NULL) {
      strMenu  = "";
      nID      = 0;
      itemType = 0;
    }
    strAttr(const strAttr &x) {
      strMenu  = x.strMenu;
      nID      = x.nID;
      itemType = x.itemType;
    }
    strAttr &operator=(strAttr x) {
      strMenu  = x.strMenu;
      nID      = x.nID;
      itemType = x.itemType;
      return *this;
    }
  };
  typedef DoraArray<strAttr> TypeMenuAttr;
public:  
  AttrMenu() {
    printf("   AttrMenu\n");
    itemGlobMenu.removeAllElement();
    itemPopupMenu.removeAllElement();
  }
  ~AttrMenu() {
    printf("   AttrMenu\n");
  }
public:
  TypeMenuAttr itemGlobMenu;
  TypeMenuAttr itemPopupMenu;

public:
  void setGlobalMenu(const Str35 prefix);
  void setPopupMenu(const int index, const Str35 prefix);

public:
  int getMaxLPopupItem();
  int getMaxEPopupItem();

};

#endif
