#include "AttrToolView.h"

void AttrToolView::setToolAttr(const int index)
{
  itemAttr.removeAllElement();
  if(index == 1)
    setToolDialog();
  if(index == 2)
    setToolCheck();
}

void AttrToolView::setToolDialog()
{
  strAttr item;
  item.cap1 = "";item.cap1 = " ";
  item.cap2 = "";item.cap2 = " F1";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_NEW;
  itemAttr.setElement(item, 1);
  
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F2";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_SAVE;
  itemAttr.setElement(item, 2);

  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F3";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_DELETE;
  itemAttr.setElement(item, 3);

  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " PgUP";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_PREV;
  itemAttr.setElement(item, 4);

  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " pgDN";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_NEXT;
  itemAttr.setElement(item, 5);

  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgUP";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_RECTOP;
  itemAttr.setElement(item, 6);

  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgDN";
  item.ctrlID = DM_TOOLBUTTON;
  item.nID = ID_TOOLBUTTON_RECEND;
  itemAttr.setElement(item, 7);
}

void AttrToolView::setToolCheck()
{
  strAttr item;
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "";
  item.ctrlID = DM_CHECKBUTTON;
  item.nID = ID_CHECKBUTTON_ALLCICLE;
  itemAttr.setElement(item, 1);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "";
  item.ctrlID = DM_CHECKBUTTON;
  item.nID = ID_CHECKBUTTON_PHICICLE;
  itemAttr.setElement(item, 2);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "";
  item.ctrlID = DM_CHECKBUTTON;
  item.nID = ID_CHECKBUTTON_SENCICLE;
  itemAttr.setElement(item, 3);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "";
  item.ctrlID = DM_CHECKBUTTON;
  item.nID = ID_CHECKBUTTON_CONCICLE;
  itemAttr.setElement(item, 4);
}

void AttrToolView::setToolDialog(const Str35 prefix)
{
  Str35 fileName;
  Str80 str;
  int nID = ID_TOOLBUTTON_NEW, index = 1, offset = 0;
  fs.setDefaultDir();
  fileName = "";fileName = fileName + "/Calendar/Config/" + prefix + "/MENAGMENT_BIO";
  if(fs.isFileName(fileName)) {
    itemAttr.removeAllElement();
    bool ok = true;
    int len = 0;
    do {
      str = "";str = fs.loadTextString(fileName, offset);
      if(str != "") {
	strAttr item;
	item.cap1 = "";item.cap1 = str.p;
	len = strlen(str.p) + 1;offset += len;
	str = "";str = fs.loadTextString(fileName, offset);
	len = strlen(str.p) + 1;offset += len;
	item.cap2 = "";item.cap2 = str.p;
	item.ctrlID = DM_TOOLBUTTON;
	item.nID = nID;
	itemAttr.setElement(item, index);
	nID++;index++;
      } else {
	ok = false;
      }
    } while(ok != false);
  }
}

void AttrToolView::setToolCheck(const Str35 prefix)
{
  Str35 fileName;
  Str80 str;
  int nID = ID_CHECKBUTTON_ALLCICLE, index = 1, offset = 0;
  fs.setDefaultDir();
  fileName = "";fileName = fileName + "/Calendar/Config/" + prefix + "/TOOLDIALOG_BIO";
  if(fs.isFileName(fileName)) {
    itemAttr.removeAllElement();
    bool ok = true;
    int len = 0;
    do {
      str = "";str = fs.loadTextString(fileName, offset);
      if(str != "") {
	strAttr item;
	item.cap1 = "";item.cap1 = str.p;
	len = strlen(str.p) + 1;offset += len;
	str = "";str = fs.loadTextString(fileName, offset);
	item.cap2 = "";item.cap2 = str.p;
	len = strlen(str.p) + 1;offset += len;
	item.ctrlID = DM_CHECKBUTTON;
	item.nID = nID;
	itemAttr.setElement(item, index);
	nID++;index++;
      } else {
	ok = false;
      }
    } while(ok != false);
  }
}
