#if !defined(_DORABASEDOCUMENT_H)
#define _DORABASEDOCUMENT_H

#include <qwidget.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraClassObject.h"

class DoraBaseDocument : public DoraClassObject
{
public:
  DoraRuntimeClass *GetRuntimeClass() const {
    return &classDoraBaseDocument;
  }
  static DoraRuntimeClass classDoraBaseDocument;
  static DoraClassObject *CreateObject(QWidget *parent);
  static DoraClassObject *CreateDocument();

public:
  DoraBaseDocument() : DoraClassObject() {
    printf("   DoraBaseDocument\n");  
  }
  ~DoraBaseDocument() {
    printf("   DoraBaseDocument\n");
  }

public:
  virtual void OnInitDocument();
  virtual void saveRecord();
  virtual void loadRecord();


};

#endif


