#if !defined(_DORACHECKBUTTON_H)
#define _DORACHECKBUTTON_H

#include <qwidget.h>
#include <qpainter.h>
#include <qrect.h>
#include <qcolor.h>
#include <qfont.h>
#include <qfontmetrics.h>
#include <qpointarray.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>

#include "Typedef.h"
#include "DoraClassObject.h"
#include "DoraBaseCtrl.h"
#include "DoraBaseView.h"

class DoraCheckButton : public DoraBaseCtrl
{
public:
  DoraRuntimeClass *GetClassObject() const {
    return &classDoraCheckButton;
  }
  static DoraRuntimeClass classDoraCheckButton;
  static DoraClassObject  *CreateView(QWidget *parent);
  static DoraClassObject  *CreateDocument();

public:
  DoraCheckButton(QWidget *parent, const char *name = 0) : DoraBaseCtrl(parent, name) {
    m_pObject = NULL;
    m_pView   = NULL;
    okCheck   = FALSE;
    printf("   DoraCheckButton\n");
  }
  ~DoraCheckButton() {
    printf("   DoraCheckButton\n");
  }

public:
  void OnDraw(QPainter *p);
  void OnSize(int cx, int cy);
  void MouseLeftButton(int xLocPos, int yLocPos, int xPosGlb, int yPosGlb);

public:
  void OnCreate(DoraClassObject *pObject, DoraBaseView *pView, int index, int style);
  void OnDrawPlusMinus(QPainter *p);
  void OnDrawPushed(QPainter *p);
  void OnDrawChecker(QPainter *p);
  void setCheck(const bool check);

public:
  DoraClassObject *m_pObject;
  DoraBaseView    *m_pView;

public:
  QRect clientRect;
  int   styleButton;
  int   indexButton;
  bool  okCheck;
};

#endif
