#if !defined(_DORACLASSOBJECT_H)
#define _DORACLASSOBJECT_H

#include <qwidget.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>

#include "Typedef.h"
#include "Dynacolect.h"

class DoraClassObject;

struct DoraRuntimeClass
{
public:
  Str35 class_name;

public:
  DoraClassObject* (*m_pCreateView)(QWidget *parent);
  DoraClassObject *CreateView(QWidget *parent);
  DoraClassObject* (*m_pCreateDocument)();
  DoraClassObject *CreateDocument();
  DoraClassObject* (*m_pCreateApp)(int argc, char **argv);
  DoraClassObject *CreateApp(int argc, char **argv);
};

class DoraClassObject
{
public:
  virtual DoraRuntimeClass *GetRuntimeClass() const {
    printf(" GetClassObject   DoraClassObject\n");
    classDoraClassObject.class_name = "";
    return &classDoraClassObject;
  }
  static DoraRuntimeClass classDoraClassObject;

public:
  DoraClassObject() {
    printf("   DoraClassObject\n");
  }
  virtual ~DoraClassObject() {
    printf("   DoraClassObject\n");
  }

public:
  virtual void OnInitialUpdate();
  virtual void OnUpdateMainFrame();

public:
  virtual void DestroyObject();

public:
  virtual void updateView();
  virtual void updateDocument();


};

#endif








