#include "DoraCriticalSection.h"

DoraRuntimeClass DoraCriticalSection::classDoraCriticalSection={"DoraCriticalSection", NULL, DoraCriticalSection::CreateDocument};

DoraClassObject *DoraCriticalSection::CreateView(QWidget *parent)
{
  return NULL;
}

DoraClassObject *DoraCriticalSection::CreateDocument()
{
  return new DoraCriticalSection();
}

DoraCriticalSection::DoraCriticalSection() : DoraClassObject()
{
  printf("   DoraCriticalSection\n");
}

DoraCriticalSection::~DoraCriticalSection()
{
  printf("   DoraCriticalSection\n");
}

void DoraCriticalSection::initSection()
{
  pthread_mutexattr_init(&attr);
  pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE);
  int ret;

  ret = pthread_mutex_init(&mtx, &attr);
  pthread_mutexattr_destroy(&attr);
}

void DoraCriticalSection::lock()
{
  int ret;

  ret = pthread_mutex_lock(&mtx);
}

void DoraCriticalSection::unlock()
{
  int ret;
  ret = pthread_mutex_unlock(&mtx);
}
