#if !defined(_DORACRITICALSECTION_H)
#define _DORACRITICALSECTION_H

#include <qwidget.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>
#include <limits.h>
#include <pthread.h>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraClassObject.h"

class DoraCriticalSection : public DoraClassObject
{
public:
  DoraRuntimeClass *GetRuntimeClass() const {
    return &classDoraCriticalSection;
  }
  static DoraRuntimeClass classDoraCriticalSection;
  static DoraClassObject *CreateView(QWidget *parent);
  static DoraClassObject *CreateDocument();

public:
  DoraCriticalSection();
  ~DoraCriticalSection();

public:
  pthread_mutex_t     mtx;
  pthread_mutexattr_t attr;

public:
  void initSection();
  void lock();
  void unlock();

};

#endif
