#include "DoraCentralDocument.h"
#include "SetNewBDate.h"

DoraRuntimeClass SetNewBDate::classSetNewBDate={"SetNewBDate", NULL, SetNewBDate::CreateDocument};

DoraClassObject *SetNewBDate::CreateView(QWidget *parent)
{
  return NULL;
}

DoraClassObject *SetNewBDate::CreateDocument()
{
  return new SetNewBDate();
}

SetNewBDate::SetNewBDate() : DoraBaseThread() 
{
    printf("   SetNewBDate\n");
}

SetNewBDate::~SetNewBDate() {
    printf("   SetNewBDate\n");
}

void SetNewBDate::setView(DoraBaseView *pView)
{
  m_pView = pView;
}

void SetNewBDate::setDocument(DoraBaseDocument *pDocument)
{
  m_pDocument = pDocument;
}

void SetNewBDate::runThread()
{
  DoraCentralDocument *pDoc = dynamic_cast<DoraCentralDocument *>(m_pDocument);
  pDoc->m_pCriticalSection->lock();
  bDate = "";bDate = pDoc->bDate;
  int curentYear = pDoc->curentYear;
  Str35 localDir;
  localDir = "";localDir = "/Calendar";
  fs.setDefaultDir();
  fs.createLocalDir();
  fs.setWorkDir(localDir);
  
  Str35 str1, str2, strYear, yearDir, monthFile, strMonth;
  str1 = "";sprintf(str1.p, "%4d\0", curentYear);str2 = "";str2 = spaceNull(4, str1);
  strYear = "";strYear = str2;
  yearDir = "";yearDir = yearDir + "/Year" + strYear;
  fs.createDir(yearDir);
  for(int m = 1; m <= 12; m++) {
    str1 = "";sprintf(str1.p, "%2d\0", m);str2 = "";str2 = spaceNull(2, str1);
    strMonth = "";strMonth = str2;
    monthFile = "";monthFile = monthFile + yearDir + "/MONTH" + strMonth + strYear;
    int maxr = fs.maxRecord(monthFile);
    if(maxr >= 1) {
      int rec  = 1;
      do {
	DataRecord data;
	fs.initDataRecord(0, 19, &data);fs.loadRecord(monthFile, rec, maxr, &data);
	data.Pole[8] = "";data.Pole[8] = bDate;
	fs.saveRecord(monthFile, rec, maxr, data);
	rec++;
      } while(rec <= maxr);
    }
  }
  pDoc->m_pCriticalSection->unlock();
}
