#if !defined(_SETNEWBDATE_H)
#define _SETNEWBDATE_H

#include <qwidget.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>
#include <limits.h>
#include <pthread.h>

#include "Typedef.h"
#include "Dynacolect.h"
#include "CompareDate.h"
#include "DoraFileSystem.h"
#include "DoraClassObject.h"
#include "DoraBaseThread.h"
#include "DoraBaseDocument.h"
#include "DoraBaseView.h"

class SetNewBDate : public DoraBaseThread
{
public:
  DoraRuntimeClass *GetRuntimeClass() const {
    return &classSetNewBDate;
  }
  static DoraRuntimeClass classSetNewBDate;
  static DoraClassObject *CreateView(QWidget *parent);
  static DoraClassObject *CreateDocument();

public:
  SetNewBDate();
  ~SetNewBDate();

public:
  void runThread();

public:
  Str35 bDate;
 
public:
  DoraFileSystem   fs;
  DoraClassObject  *m_pObject;
  DoraBaseView     *m_pView;
  DoraBaseDocument *m_pDocument;

public:
  void setView(DoraBaseView *pView);
  void setDocument(DoraBaseDocument *pDocument);

};

#endif
