#if !defined(_ATTRTOOLVIEW_H)
#define _ATTRTOOLVIEW_H

#include <qwidget.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <fcntl.h>
#include <typeinfo>
#include <sys/types.h>
#include <sys/stat.h>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraFileSystem.h"

class AttrToolView
{
public:
  struct strAttr {
    int ctrlID, nID;
    Str35 cap1, cap2;
    strAttr(strAttr *x = NULL) {
      ctrlID = nID = 0;
      cap1 = "";
      cap2 = "";
    }
    strAttr(const strAttr &x) {
      ctrlID = x.ctrlID;
      nID = x.nID;
      cap1 = x.cap1;
      cap2 = x.cap2;
    }
    strAttr &operator=(strAttr x) {
      ctrlID = x.ctrlID;
      nID = x.nID;
      cap1 = x.cap1;
      cap2 = x.cap2;
      return *this;
    }
  };
  typedef DoraArray<strAttr> TypeItem;

public:
  AttrToolView() {
    printf("   AttrToolView\n");
    itemAttr.removeAllElement();
  }
  ~AttrToolView() {
    printf("   AttrToolView\n");
  }

public:
  void setToolAttr(const int index);
  void setToolDialog();
  void setToolDialog(const Str35 prefix);
  void setToolCheck();
  void setToolCheck(const Str35 prefix);

public:
  TypeItem       itemAttr;
  DoraFileSystem fs;
};

#endif
