#if !defined(_DORACALENDARBUTTON)
#define _DORACALENDARBUTTON

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <unistd.h>

#include <qwidget.h>
#include <qpainter.h>
#include <qfont.h>
#include <qfontmetrics.h>
#include <qcolor.h>
#include <qrect.h>
#include <qevent.h>

#include "Typedef.h"
#include "Dynacolect.h"
#include "DoraClassObject.h"
#include "DoraBaseCtrl.h"
#include "DoraBaseView.h"

class DoraCalendarButton : public DoraBaseCtrl
{
public:
  DoraRuntimeClass *GetRuntimeClass() const {
    return &classDoraCalendarButton;
  }
  static DoraRuntimeClass classDoraCalendarButton;
  static DoraClassObject  *CreateView(QWidget *parent);
  static DoraClassObject  *CreateDocument();

public:
  DoraCalendarButton(QWidget *parent, const char *name = 0) : DoraBaseCtrl(parent, name) {
    printf("   DoraCalendarButton\n");
  }
  ~DoraCalendarButton() {
    printf("   DoraCalendarButton\n");
  }

public:
  void OnDraw(QPainter *p);
  void OnSize(int cx, int cy);
  void OnCreate(DoraClassObject *pObject, DoraBaseView *pView);

public:
  DoraClassObject *m_pObject;
  DoraBaseView    *m_pView;

public:
  void setCaption(Str35 capButton, Str35 strCaption, Str35 strDate);
  void setRed(const bool redColor);
  void setCurent(const bool curentButton);

public:
  QRect   clientRect;
  int     indexButton;
  int     ctrlID;
  Str35   captionButton;
  Str35   viewCaption;
  Str35   dateCaption;
  bool    redDay;
  bool    pushButton;
  bool    validButton;

public:
   void MouseLeftButton(int xLocPos, int yLocPos, int xPosGlb, int yPosGlb);

};

#endif


