#if !defined(_DORACHECKBMPBUTTON_H)
#define _DORACHECKBMPBUTTON_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <typeinfo>

#include <qapplication.h>
#include <qwidget.h>
#include <qevent.h>
#include <qpainter.h>
#include <qrect.h>
#include <qcolor.h>
#include <qfont.h>
#include <qfontmetrics.h>
#include <qpixmap.h>

#include "Typedef.h"
#include "resurce.h"
#include "DoraClassObject.h"
#include "DoraBaseView.h"
#include "DoraBaseCtrl.h"
#include "DoraBaseDialog.h"

class DoraCheckBmpButton : public DoraBaseCtrl
{
public:
  DoraRuntimeClass *GetRuntimeClass() const {
    return &classDoraCheckBmpButton;
  }
  static DoraRuntimeClass classDoraCheckBmpButton;
  static DoraClassObject *CreateView(QWidget *parent);
  static DoraClassObject *CreateDocument();

public:
  DoraCheckBmpButton(QWidget *parent, const char *name = 0) : DoraBaseCtrl(parent, name) {
    printf("   DoraCheckBmpButton\n");
    okPushed = false;
    okCheck = false;
  }
  ~DoraCheckBmpButton() {
    printf("   DoraCheckBmpButton\n");
  }

public:
  DoraClassObject *m_pObject;
  DoraBaseView    *m_pView;
  DoraBaseDialog  *m_pDialog;

public:
  void OnCreate(DoraClassObject *pObject, DoraBaseView *pView);
  void OnCreate(DoraClassObject *pObject, DoraBaseDialog *pDialog);

public:
  void OnSize(int cx, int cy);
  void OnDraw(QPainter *p);
  void setPixmap(QPixmap pm);
  void setCheck(const bool check);

public:
  QRect   clientRect;
  QPixmap pixmap;
  int     ctrlID;
  int     index;
  int     nID;
  bool    okPushed;
  bool    okCheck;

public:
  void MouseLeftButton(int xLocPos, int yLocPos, int xPosGlb, int yPosGlb);


};

#endif
