#include "DoraConvChar.h"

DoraConvChar::DoraConvChar()
{
  defaultNameCodec = "";
  defaultNameCodec = getDefaultCodec();
  codec = QTextCodec::codecForName(defaultNameCodec.p);
}

DoraConvChar::DoraConvChar(const DoraConvChar &convChar)
{
  defaultNameCodec = "";
  defaultNameCodec = convChar.defaultNameCodec;
  codec = convChar.codec;
}

DoraConvChar::DoraConvChar(const char *nameCodec)
{
  if(nameCodec[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = nameCodec;
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
}

DoraConvChar::DoraConvChar(const CString nameCodec)
{
  if(nameCodec.p[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = nameCodec.p;
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
}

DoraConvChar::DoraConvChar(const Str35 nameCodec)
{
  if(nameCodec.p[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = nameCodec.p;
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
}

DoraConvChar &DoraConvChar::operator=(DoraConvChar x)
{
  defaultNameCodec = "";
  defaultNameCodec = x.defaultNameCodec;
  codec = x.codec;
  return *this;
}

DoraConvChar &DoraConvChar::operator=(const char *s)
{
  if(s[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = s;
    codec = QTextCodec::codecForName(s);
  } else {
    defaultNameCodec = "";
    defaultNameCodec = getDefaultCodec();
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
  return *this;
}

DoraConvChar &DoraConvChar::operator=(const CString x)
{
  if(x.p[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = x;
    codec = QTextCodec::codecForName(x.p);
  } else {
    defaultNameCodec = "";
    defaultNameCodec = getDefaultCodec();
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
  return *this;
}

DoraConvChar &DoraConvChar::operator=(const Str35 x)
{
  if(x.p[0] != '\0') {
    defaultNameCodec = "";
    defaultNameCodec = x;
    codec = QTextCodec::codecForName(x.p);
  } else {
    defaultNameCodec = "";
    defaultNameCodec = getDefaultCodec();
    codec = QTextCodec::codecForName(defaultNameCodec.p);
  }
  return *this;
}
  
QString DoraConvChar::getCharCodec(const char *s) const
{
  QString str;
  str = "";
  if(s[0] != '\0')
    str = codec->toUnicode(s);
  return str;
}

QString DoraConvChar::getCharCodec(const CString s) const
{
  QString str;
  str = "";
  CString cStr;
  cStr = "";cStr = s;
  if(cStr != "")
    str = codec->toUnicode(s.p);
  return str;
}

QTextCodec *DoraConvChar::getCodec()
{
  if(codec != NULL)
    return codec;
  else
    return NULL;
}

CString DoraConvChar::getDefaultCodec()
{
  CString str;
  str = "";
  str = QTextCodec::codecForLocale()->name();
  
  return str;
}
