#if !defined(_DORACONVCHAR_H)
#define _DORACONVCHAR_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include <typeinfo>

#include <qtextcodec.h>
#include <qstring.h>

#include "Typedef.h"

class DoraConvChar
{
public:
  DoraConvChar();
  DoraConvChar(const DoraConvChar &convChar);
  DoraConvChar(const char *nameCodec);
  DoraConvChar(const CString nameCodec);
  DoraConvChar(const Str35 nameCodec);

public:
  QString    getCharCodec(const char *s) const;
  QString    getCharCodec(const CString s) const;
  QTextCodec *getCodec();

public:
  DoraConvChar &operator=(DoraConvChar x);
  DoraConvChar &operator=(const char *s);
  DoraConvChar &operator=(const CString x);
  DoraConvChar &operator=(const Str35 x);

public:
  CString getDefaultCodec();

public:
  QTextCodec *codec;
  CString    defaultNameCodec;
};


#endif
