#include "DoraInstallClass.h"

DoraRuntimeClass DoraInstallClass::classDoraInstallClass={"DoraInstallClass", NULL, DoraInstallClass::CreateDocument};

DoraClassObject *DoraInstallClass::CreateView(QWidget *parent)
{
  return NULL;
}

DoraClassObject *DoraInstallClass::CreateDocument()
{
  return new DoraInstallClass();
}

void DoraInstallClass::initDocument()
{
  Str35 localDir, configDir;
  localDir = "";localDir = "/Calendar";
  fs.setDefaultDir();
  fs.createLocalDir();
  fs.setWorkDir(localDir);

  configDir = "";configDir = "/Config";
  fs.createDir(configDir);

  saveGlobMenu();
  saveLangItem();
  saveDaysName();
  saveMonthsName();
  savePopMenu100();
  savePopMenu200();
  savePopMenu300();
  savePopMenu400();
  saveOtherCaption();
  saveMenagment();
  saveDateDialog();
  saveToolDialog();
}

void DoraInstallClass::addGlobMenuBG()
{
  itemSaveStruct.removeAllElement();

  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
}

void DoraInstallClass::addGlobMenuEN()
{
  itemSaveStruct.removeAllElement();

  saveStruct item;
  item.name = "";item.name = "Reklams";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Bioritms";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Autor";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Exit";
  itemSaveStruct.setElement(item, 4);
}

void DoraInstallClass::addGlobMenuRU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
}

void DoraInstallClass::addGlobMenuFR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Reclames";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Bioritme";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Auteur";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Issue";
  itemSaveStruct.setElement(item, 4);
}

void DoraInstallClass::saveGlobMenu()
{
  int maxElement;
  addGlobMenuBG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/GLOBMENU_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addGlobMenuRU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/GLOBMENU_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addGlobMenuEN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/GLOBMENU_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addGlobMenuFR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/GLOBMENU_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addLangItemBG()
{
  itemSaveLangStruct.removeAllElement();

  saveLangStruct item;
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "BG";
  item.encoding = "";item.encoding = "CP 1251";
  itemSaveLangStruct.setElement(item, 1);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "RU";
  item.encoding = "";item.encoding = "KOI8-R";
  itemSaveLangStruct.setElement(item, 2);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "EN";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 3);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "FR";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 4);
}

void DoraInstallClass::addLangItemRU()
{
  itemSaveLangStruct.removeAllElement();
  saveLangStruct item;
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "BG";
  item.encoding = "";item.encoding = "CP 1251";
  itemSaveLangStruct.setElement(item, 1);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "RU";
  item.encoding = "";item.encoding = "KOI8-R";
  itemSaveLangStruct.setElement(item, 2);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "EN";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 3);
  item.name = "";item.name = "";
  item.prefix = "";item.prefix = "FR";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 4);
}

void DoraInstallClass::addLangItemEN()
{
  itemSaveLangStruct.removeAllElement();
  saveLangStruct item;
  item.name = "";item.name = "Bulgarian";
  item.prefix = "";item.prefix = "BG";
  item.encoding = "";item.encoding = "CP 1251";
  itemSaveLangStruct.setElement(item, 1);
  item.name = "";item.name = "Russian";
  item.prefix = "";item.prefix = "RU";
  item.encoding = "";item.encoding = "KOI8-R";
  itemSaveLangStruct.setElement(item, 2);
  item.name = "";item.name = "English";
  item.prefix = "";item.prefix = "EN";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 3);
  item.name = "";item.name = "French";
  item.prefix = "";item.prefix = "FR";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 4);
}

void DoraInstallClass::addLangItemFR()
{
  itemSaveStruct.removeAllElement();
  saveLangStruct item;
  item.name = "";item.name = "Bulgarien";
  item.prefix = "";item.prefix = "BG";
  item.encoding = "";item.encoding = "CP 1251";
  itemSaveLangStruct.setElement(item, 1);
  item.name = "";item.name = "Russe";
  item.prefix = "";item.prefix = "RU";
  item.encoding = "";item.encoding = "KOI8-R";
  itemSaveLangStruct.setElement(item, 2);
  item.name = "";item.name = "Anglaie";
  item.prefix = "";item.prefix = "EN";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 3);
  item.name = "";item.name = "Francais";
  item.prefix = "";item.prefix = "FR";
  item.encoding = "";item.encoding = "ISO 8859-1";
  itemSaveLangStruct.setElement(item, 4);
}

void DoraInstallClass::saveLangItem()
{
  int maxElement;
  addLangItemBG();
  maxElement = itemSaveLangStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/LANG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveLangStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].prefix.p + "\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].encoding.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addLangItemRU();
  maxElement = itemSaveLangStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/LANG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveLangStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].prefix.p + "\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].encoding.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addLangItemEN();
  maxElement = itemSaveLangStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/LANG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveLangStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].prefix.p + "\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].encoding.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addLangItemFR();
  maxElement = itemSaveLangStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/LANG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveLangStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].prefix.p + "\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveLangStruct[i].encoding.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addDaysNameBG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 7);
}

void DoraInstallClass::addDaysNameRU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 7);
}

void DoraInstallClass::addDaysNameEN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Monday";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Tuesday";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Wednesday";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Thutsday";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "Friday";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "Saturday";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "Sunday";
  itemSaveStruct.setElement(item, 7);
}

void DoraInstallClass::addDaysNameFR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Lundi";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Mardi";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Mercredi";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Jeudi";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "Vendredi";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "Samedi";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "Dimanche";
  itemSaveStruct.setElement(item, 7);
}

void DoraInstallClass::saveDaysName()
{
  int maxElement;
  addDaysNameBG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/DAYS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDaysNameRU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/DAYS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDaysNameEN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/DAYS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDaysNameFR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/DAYS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}
  
void DoraInstallClass::addMonthsNameBG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 10);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 12);
}

void DoraInstallClass::addMonthsNameRU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 10);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 12);
}

void DoraInstallClass::addMonthsNameEN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "January";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "February";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "March";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "April";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "May";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "June";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "July";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "August";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "September";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "October";
  itemSaveStruct.setElement(item, 10);
  item.name = "";item.name = "November";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "December";
  itemSaveStruct.setElement(item, 12);
}

void DoraInstallClass::addMonthsNameFR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Janvier";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Fevrier";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Mars";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Avril";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "Mai";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "Jun";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "Jullet";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "Aout";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "Septembre";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "Octobre";
  itemSaveStruct.setElement(item, 10);
  item.name = "";item.name = "Novembre";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "Decembre";
  itemSaveStruct.setElement(item, 12);
}

void DoraInstallClass::saveMonthsName()
{
  int maxElement;
  addMonthsNameBG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/MONTHS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMonthsNameRU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/MONTHS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMonthsNameEN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/MONTHS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMonthsNameFR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/MONTHS_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addPopMenu100BG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "SEPARATOR";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addPopMenu100EN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Reklams strings";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "SEPARATOR";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Exit";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addPopMenu100RU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "SEPARATOR";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addPopMenu100FR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Reclames strings";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "SEPARATOR";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Issue";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::savePopMenu100()
{
  int maxElement;
  addPopMenu100BG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/POPMENU100_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu100RU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/POPMENU100_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu100EN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/POPMENU100_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu100FR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/POPMENU100_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addPopMenu200BG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu200EN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Bioritms";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu200RU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu200FR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Bioritme";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::savePopMenu200()
{
  int maxElement;
  addPopMenu200BG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/POPMENU200_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu200RU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/POPMENU200_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu200EN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/POPMENU200_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu200FR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/POPMENU200_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

/*******************************/

void DoraInstallClass::addPopMenu300BG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "  ";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu300EN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Autor and developper";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu300RU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "  ";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu300FR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Auteur et devellopeur";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::savePopMenu300()
{
  int maxElement;
  addPopMenu300BG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/POPMENU300_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu300RU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/POPMENU300_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu300EN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/POPMENU300_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu300FR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/POPMENU300_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

/*******************************/

void DoraInstallClass::addPopMenu400BG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu400EN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Exit";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu400RU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::addPopMenu400FR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Issue";
  itemSaveStruct.setElement(item, 1);
}

void DoraInstallClass::savePopMenu400()
{
  int maxElement;
  addPopMenu400BG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/POPMENU400_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu400RU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/POPMENU400_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu400EN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/POPMENU400_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addPopMenu400FR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/POPMENU400_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addOtherCaptionBG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = ".:";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = ".:";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item ,10);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item, 12);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 13);
  item.name = "";item.name = "  :";
  itemSaveStruct.setElement(item, 14);
  item.name = "";item.name = "    :";
  itemSaveStruct.setElement(item, 15);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 16);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 17);
  item.name = "";item.name = ":";
  itemSaveStruct.setElement(item, 18);
  item.name = "";item.name = "   :";
  itemSaveStruct.setElement(item, 19);
  item.name = "";item.name = "    ";
  itemSaveStruct.setElement(item, 20);

}

void DoraInstallClass::addOtherCaptionEN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Workday";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Day off";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "To day";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "System";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "Hour:";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "Min .:";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "Sec.:";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "From date";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "To date";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "Calendar days:";
  itemSaveStruct.setElement(item ,10);
  item.name = "";item.name = "Workdays:";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "A days off:";
  itemSaveStruct.setElement(item, 12);
  item.name = "";item.name = "Calculate";
  itemSaveStruct.setElement(item, 13);
  item.name = "";item.name = "Autor and developer:";
  itemSaveStruct.setElement(item, 14);
  item.name = "";item.name = "Append and edit reclams:";
  itemSaveStruct.setElement(item, 15);
  item.name = "";item.name = "Exit";
  itemSaveStruct.setElement(item, 16);
  item.name = "";item.name = "Close";
  itemSaveStruct.setElement(item, 17);
  item.name = "";item.name = "Menagment:";
  itemSaveStruct.setElement(item, 18);
  item.name = "";item.name = "Your birthday is:";
  itemSaveStruct.setElement(item, 19);
  item.name = "";item.name = "Enter your birthdate";
  itemSaveStruct.setElement(item, 20);
}



void DoraInstallClass::addOtherCaptionRU()
{
  itemSaveStruct.removeAllElement();
 saveStruct item;
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = " .:";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = ".:";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item ,10);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = " ";
  itemSaveStruct.setElement(item, 12);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 13);
  item.name = "";item.name = "  :";
  itemSaveStruct.setElement(item, 14);
  item.name = "";item.name = "   :";
  itemSaveStruct.setElement(item, 15);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 16);
  item.name = "";item.name = "";
  itemSaveStruct.setElement(item, 17);
  item.name = "";item.name = ":";
  itemSaveStruct.setElement(item, 18);
  item.name = "";item.name = " :";
  itemSaveStruct.setElement(item, 19);
  item.name = "";item.name = "   :";
  itemSaveStruct.setElement(item, 20);
}

void DoraInstallClass::addOtherCaptionFR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "De travail";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "De repos";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Aujourd`hui";
  itemSaveStruct.setElement(item, 3);
  item.name = "";item.name = "Changer";
  itemSaveStruct.setElement(item, 4);
  item.name = "";item.name = "Heure:";
  itemSaveStruct.setElement(item, 5);
  item.name = "";item.name = "Min. :";
  itemSaveStruct.setElement(item, 6);
  item.name = "";item.name = "Seg. :";
  itemSaveStruct.setElement(item, 7);
  item.name = "";item.name = "A dater";
  itemSaveStruct.setElement(item, 8);
  item.name = "";item.name = "De date";
  itemSaveStruct.setElement(item, 9);
  item.name = "";item.name = "Tous le les:";
  itemSaveStruct.setElement(item ,10);
  item.name = "";item.name = "Jours du travail:";
  itemSaveStruct.setElement(item, 11);
  item.name = "";item.name = "Jours de repos:";
  itemSaveStruct.setElement(item, 12);
  item.name = "";item.name = "Calculez";
  itemSaveStruct.setElement(item, 13);
  item.name = "";item.name = "Auteur et devellopeur:";
  itemSaveStruct.setElement(item, 14);
  item.name = "";item.name = "Accession et edition des reclames:";
  itemSaveStruct.setElement(item, 15);
  item.name = "";item.name = "Issue";
  itemSaveStruct.setElement(item, 16);
  item.name = "";item.name = "Ouvrir";
  itemSaveStruct.setElement(item, 17);
  item.name = "";item.name = "Menagment:";
  itemSaveStruct.setElement(item, 18);
  item.name = "";item.name = "Votre aniversare est:";
  itemSaveStruct.setElement(item, 19);
  item.name = "";item.name = "Entrez votre datte de naissance";
  itemSaveStruct.setElement(item, 20); 
}

void DoraInstallClass::saveOtherCaption()
{
  int maxElement;
  addOtherCaptionBG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/OTHER_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addOtherCaptionRU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/OTHER_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addOtherCaptionEN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/OTHER_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addOtherCaptionFR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/OTHER_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addMenagmentBG()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = " ";
  item.cap2 = "";item.cap2 = " F1";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F2";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F3";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " PgUp";
  itemSaveMenagmentStruct.setElement(item, 4);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " PgDn";
  itemSaveMenagmentStruct.setElement(item, 5);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgUp";
  itemSaveMenagmentStruct.setElement(item, 6);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgDn";
  itemSaveMenagmentStruct.setElement(item, 7);
}

void DoraInstallClass::addMenagmentEN()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "New";
  item.cap2 = "";item.cap2 = "or F1";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "Save";
  item.cap2 = "";item.cap2 = "or F2";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "Delete";
  item.cap2 = "";item.cap2 = "or F3";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "Prevision";
  item.cap2 = "";item.cap2 = "or PgUp";
  itemSaveMenagmentStruct.setElement(item, 4);
  item.cap1 = "";item.cap1 = "Next";
  item.cap2 = "";item.cap2 = "or PgDn";
  itemSaveMenagmentStruct.setElement(item, 5);
  item.cap1 = "";item.cap1 = "First";
  item.cap2 = "";item.cap2 = "or ^PgUp";
  itemSaveMenagmentStruct.setElement(item, 6);
  item.cap1 = "";item.cap1 = "Last";
  item.cap2 = "";item.cap2 = "or ^PgDn";
  itemSaveMenagmentStruct.setElement(item, 7);
}

void DoraInstallClass::addMenagmentRU()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F1";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F2";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " F3";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " PgUp";
  itemSaveMenagmentStruct.setElement(item, 4);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " PgDn";
  itemSaveMenagmentStruct.setElement(item, 5);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgUp";
  itemSaveMenagmentStruct.setElement(item, 6);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ^PgDn";
  itemSaveMenagmentStruct.setElement(item, 7);
}

void DoraInstallClass::addMenagmentFR()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "Nouv.on";
  item.cap2 = "";item.cap2 = "bien F1";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "Garder on";
  item.cap2 = "";item.cap2 = "bien F2";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "Nett.on";
  item.cap2 = "";item.cap2 = "bien  F3";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "Prev.on";
  item.cap2 = "";item.cap2 = "bien PgUp";
  itemSaveMenagmentStruct.setElement(item, 4);
  item.cap1 = "";item.cap1 = "Suite on";
  item.cap2 = "";item.cap2 = "bien PgDn";
  itemSaveMenagmentStruct.setElement(item, 5);
  item.cap1 = "";item.cap1 = "Prem.on";
  item.cap2 = "";item.cap2 = "bien^PgUp";
  itemSaveMenagmentStruct.setElement(item, 6);
  item.cap1 = "";item.cap1 = "Dern.on";
  item.cap2 = "";item.cap2 = "bien^PgDn";
  itemSaveMenagmentStruct.setElement(item, 7);
}

void DoraInstallClass::saveMenagment()
{
  int maxElement;
  addMenagmentBG();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/MENAGMENT_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMenagmentRU();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/MENAGMENT_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMenagmentEN();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/MENAGMENT_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addMenagmentFR();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/MENAGMENT_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addDateDialogBG()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = " -  :";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = " -  :";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = " -  :";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addDateDialogEN()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Day - format XX:";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Month - format XX:";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Year - format XXXX:";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addDateDialogFR()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = "Jour - format XX:";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = "Moit - format XX:";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = "Annee - format XXXX:";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::addDateDialogRU()
{
  itemSaveStruct.removeAllElement();
  saveStruct item;
  item.name = "";item.name = " -  XX:";
  itemSaveStruct.setElement(item, 1);
  item.name = "";item.name = " -  XX:";
  itemSaveStruct.setElement(item, 2);
  item.name = "";item.name = " -  XXXX:";
  itemSaveStruct.setElement(item, 3);
}

void DoraInstallClass::saveDateDialog()
{
  int maxElement;
  addDateDialogBG();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/DIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDateDialogRU();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/DIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDateDialogEN();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/DIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addDateDialogFR();
  maxElement = itemSaveStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/DIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveStruct[i].name.p +"\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}

void DoraInstallClass::addToolDialogBG()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = " ";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "    ";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "        ";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "      ";
  itemSaveMenagmentStruct.setElement(item, 4);
}

void DoraInstallClass::addToolDialogEN()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "All     ";
  item.cap2 = "";item.cap2 = "cicles  ";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "Physical";
  item.cap2 = "";item.cap2 = "cicle   ";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "Cognitiv";
  item.cap2 = "";item.cap2 = "cicle    ";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "Sensitiv";
  item.cap2 = "";item.cap2 = "cicle   ";
  itemSaveMenagmentStruct.setElement(item, 4);
}

void DoraInstallClass::addToolDialogFR()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "Tour  ";
  item.cap2 = "";item.cap2 = "cicles";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "Physical";
  item.cap2 = "";item.cap2 = "cicle   ";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "Cognitive";
  item.cap2 = "";item.cap2 = "cicle    ";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "Sensitive";
  item.cap2 = "";item.cap2 = "cicle    ";
  itemSaveMenagmentStruct.setElement(item, 4);
}

void DoraInstallClass::addToolDialogRU()
{
  itemSaveMenagmentStruct.removeAllElement();
  saveMenagmentStruct item;
  item.cap1 = "";item.cap1 = "  ";
  item.cap2 = "";item.cap2 = "";
  itemSaveMenagmentStruct.setElement(item, 1);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "      ";
  itemSaveMenagmentStruct.setElement(item, 2);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "           ";
  itemSaveMenagmentStruct.setElement(item, 3);
  item.cap1 = "";item.cap1 = "";
  item.cap2 = "";item.cap2 = "         ";
  itemSaveMenagmentStruct.setElement(item, 4); 
}

void DoraInstallClass::saveToolDialog()
{
  int maxElement;
  addToolDialogBG();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/BG";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/BG/TOOLDIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addToolDialogRU();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/RU";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/RU/TOOLDIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addToolDialogEN();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/EN";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/EN/TOOLDIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
  addToolDialogFR();
  maxElement = itemSaveMenagmentStruct.maxElement();
  if(maxElement >= 1) {
    Str35 fileName, dataDir;
    dataDir = "";dataDir = "/Config/FR";
    fs.createDir(dataDir);
    fileName = "";fileName = "/Config/FR/TOOLDIALOG_BIO";
    if(!fs.isFileName(fileName)) {
      for(int i = 0; i <= maxElement - 1; i++) {
	Str80 str;
	str = "";str = str + itemSaveMenagmentStruct[i].cap1.p +"\n";
	fs.saveTextString(fileName, str);
	str = "";str = str + itemSaveMenagmentStruct[i].cap2.p + "\n";
	fs.saveTextString(fileName, str);
      }
    }
  }
}
