#include "Typedef.h"

void insertStr(CString &src, CString dest, int pos) {
  char *rStr;
  char *lStr;

  int len = strlen(src.p);

  if(pos > len) {
    src = src + dest;
  } else {
    rStr = new char[len];
    lStr = new char[len];

    int i = 0;
    for(i = 0; i <= pos - 2; i++)
      lStr[i] = src.p[i];
    lStr[i] = '\0';

    int j = 0;
    for(i = pos - 1; i <= len; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';

    src = "";src = src + lStr + dest + rStr; 
    delete[] lStr;
    delete[] rStr;
  }
}

void insertStr(CString &src, char *dest, int pos) {
  char *rStr;
  char *lStr;

  int len  = strlen(src.p);

  if(pos > len) {
    src = src + dest;
  } else {
    lStr = new char[len];
    rStr = new char[len];

    int i;
    for(i = 0; i <= pos - 2; i++)
      lStr[i] = src.p[i];
    lStr[i] = '\0';

    int j = 0;
    for(i = pos - 1; i <= len; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';

    src = "";src = src + lStr + dest + rStr;
    
    delete[] lStr;
    delete[] rStr;
  }
}

void insertStr(CString &src, String dest, int pos) {
  char *lStr;
  char *rStr;

  int len  = strlen(src.p);

  if(pos > len) {
    src = src + dest;
  } else {
    lStr = new char[len];
    rStr = new char[len];
    
    int i;
    for(i = 0; i <= pos - 2; i++)
      lStr[i] = src.p[i];
    lStr[i] = '\0';

    int j = 0;
    for(i = pos - 1; i <= len; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';
    
    src = "";src = src + lStr + dest + rStr;

    delete[] lStr;
    delete[] rStr;
  }
}   

void insertStr(Str35 &src, Str35 dest, int pos)
{

  char *lStr;
  char *rStr;

  int len  = strlen(src.p);

  if(pos > len) {
    src = src + dest;
  } else {
    lStr = new char[len];
    rStr = new char[len];
    
    int i;
    for(i = 0; i <= pos - 2; i++)
      lStr[i] = src.p[i];
    lStr[i] = '\0';

    int j = 0;
    for(i = pos - 1; i <= len; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';
    
    src = "";src = src + lStr + dest + rStr;

    delete[] lStr;
    delete[] rStr;
  }
}


CString copyStr(const CString src, const int pos, const int count) {
  CString p;
  p = "";
  if(src.p[0] != '\0') {
    char *s;
    s = new char[count + 1];
    s[0] = '\0';
    int len  = (int)strlen(src.p);
    int i;
    for(i = pos - 1; i <= ((pos - 1) + count) - 1; i++) {
      if(i >= len) 
        break;
      s[0] = '\0';
      sprintf(s, "%c\0", src.p[i]);
      p = p + s;
    }
    delete s;
  }
  return p;
}

CString copyStr(const char *src, const int pos, const int count) {
  CString p;
  p = "";
  if(src[0] != '\0') {
    char *s;
    s = new char[count + 1];
    s[0] = '\0';
    int len  = (int)strlen(src);
    int i;
    for(i = pos - 1; i <= ((pos - 1) + count) - 1; i++) {
      if(i >= len)
        break;
      s[0] = '\0';
      sprintf(s, "%c\0", src[i]);
      p = p + s;
    }
    delete s;
  }
  return p;
}

CString copyStr(const String src, const int pos, const int count) {
  CString p;
  p = 0;
  if(src.p[0] != '\0') {
    int len = (int)strlen(src.p);
    int i;
    char *s;
    s = new char[count + 1];
    s[0] = '\0';
    for(i = pos - 1; i <= ((pos - 1) + count) - 1; i++) {
      if(i >= len)
        break;
      s[0] = '\0';
      sprintf(s, "%c\0", src.p[i]);
      p = p + s;
    }
    delete s;
  }
  return p;
}

Str35 copyStr(const Str35 src, const int pos, const int count)
{
  Str35 p;
  p = "";
  if(src.p[0] != '\0') {
    int len = strlen(src.p);
    for(int i = pos - 1; i <= ((pos - 1) + count) - 1; i++) {
      if(i >= len)
	break;
      char *s = new char[2];
      s[0] = '\0';
      sprintf(s, "%c\0", src.p[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

void deleteStr(CString &src, int pos, int count) 
{  
  int   len  = strlen(src.p) + 1;
  char *lStr;
  char *rStr;

  lStr = new char[len];
  rStr = new char[len];

  int i;
  for(i = 0; i <= pos - 2; i++)
    lStr[i] = src.p[i];
  lStr[i] = '\0';

  if(pos == len)
    rStr[0] = '\0';
  else {
    int j = 0;
    for(i = (pos + count - 1); i <= len - 1; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';
  }

  src = "";src = src + lStr + rStr;

  delete[] lStr;
  delete[] rStr;
}

void deleteStr(Str35 &src, int pos, int count)
{
    int   len  = strlen(src.p) + 1;
  char *lStr;
  char *rStr;

  lStr = new char[len];
  rStr = new char[len];

  int i;
  for(i = 0; i <= pos - 2; i++)
    lStr[i] = src.p[i];
  lStr[i] = '\0';

  if(pos == len)
    rStr[0] = '\0';
  else {
    int j = 0;
    for(i = (pos + count - 1); i <= len - 1; i++) {
      rStr[j] = src.p[i];j++;
    }
    rStr[j] = '\0';
  }

  src = "";src = src + lStr + rStr;

  delete[] lStr;
  delete[] rStr;
}

CString spaceNull(const int len, const CString src)
{
  CString p;
  int lenS = strlen(src.p);
  char *s = new char[2];
  p = "";
  for(int i = 0; i <= lenS - 1; i++) {
    s[0] = '\0';
    if(src.p[i] == ' ')
      sprintf(s, "%c\0", '0');
    else
      sprintf(s, "%c\0", src.p[i]);
    p = p + s;
  }
  delete s;

  return p;
}

CString spaceNull(const int len, const char *src)
{
  CString p;
  int lenS = strlen(src);
  char *s = new char[2];
  p = "";
  for(int i = 0; i <= lenS - 1; i++) {
    s[0] = '\0';
    if(src[i] == ' ')
      sprintf(s, "%c\0", '0');
    else
      sprintf(s, "%c\0", src[i]);
    p = p + s;
  }
  delete s;

  return p;
}

CString spaceNull(const int len, const String src)
{
  CString p;
  int lenS = strlen(src.p);
  char *s = new char[2];
  p = "";
  for(int i = 0; i <= lenS - 1; i++) {
    s[0] = '\0';
    if(src.p[i] == ' ')
      sprintf(s, "%c\0", '0');
    else
      sprintf(s, "%c\0", src.p[i]);
    p = p + s;
  }
  delete s;

  return p;
}

Str35 spaceNull(const int len, const Str35 src)
{
  Str35 p;
  int lenS = strlen(src.p);
  p = "";
  for(int i = 0; i <= lenS - 1; i++) {
    char *s = new char[2];
    s[0] = '\0';
    if(src.p[i] == ' ')
      sprintf(s, "%c\0", '0');
    else
      sprintf(s, "%c\0", src.p[i]);
    p = p + s;
    delete s;
  }
  return p;
}

int pos(const CString src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i+1;
  }
  return position;
}

int pos(const char   *src, const char *dest)
{
  int position = 0;
  int len = strlen(src);
  for(int i = 0; i <= len - 1; i++) {
    if(src[i] == dest[0])
      position = i+1;
  }
  return position;
}

int pos(const String  src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i+1;
  }
  return position;
}

int pos(const Str35 src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i + 1;
  }
  return position;
}

/***********************/

int posStr(const CString src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i+1;
  }
  return position;
}

int posStr(const char   *src, const char *dest)
{
  int position = 0;
  int len = strlen(src);
  for(int i = 0; i <= len - 1; i++) {
    if(src[i] == dest[0])
      position = i+1;
  }
  return position;
}

int posStr(const String  src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i+1;
  }
  return position;
}

int posStr(const Str35 src, const char *dest)
{
  int position = 0;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == dest[0])
      position = i + 1;
  }
  return position;
}

CString upCase(const CString src)
{
  CString p;
  int len = strlen(src.p);
  p = "";
  if(src.p[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src.p[i] >= 'a') && (src.p[i] <= 'z'))
	sprintf(s, "%c\0", src.p[i] - ('a' - 'A'));
      if((src.p[i] >= 'A') && (src.p[i] <= 'Z'))
	sprintf(s, "%c\0", src.p[i]);
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i] - ('' - ''));
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

CString upCase(const char *src)
{
  CString p;
  int len = strlen(src);
  p = "";
  if(src[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src[i] >= 'a') && (src[i] <= 'z'))
	sprintf(s, "%c\0", src[i] - ('a' - 'A'));
      if((src[i] >= 'A') && (src[i] <= 'Z'))
	sprintf(s, "%c\0", src[i]);
      if((src[i] >= '') && (src[i] <= ''))
	sprintf(s, "%c\0", src[i] - ('' - ''));
      if((src[i] >= '') && (src[i] <= ''))
	sprintf(s, "%c\0", src[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

Str35 upCase(const Str35 src)
{
  Str35 p;
  int len = strlen(src.p);
  p = "";
  if(src.p[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src.p[i] >= 'a') && (src.p[i] <= 'z'))
	sprintf(s, "%c\0", src.p[i] - ('a' - 'A'));
      if((src.p[i] >= 'A') && (src.p[i] <= 'Z'))
	sprintf(s, "%c\0", src.p[i]);
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i] - ('' - ''));
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

CString loCase(const CString src)
{
  CString p;
  int len = strlen(src.p);
  p = "";
  if(src.p[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src.p[i] >= 'A') && (src.p[i] <= 'Z'))
	sprintf(s, "%c\0", src.p[i] + ('a' - 'A'));
      if((src.p[i] >= 'a') && (src.p[i] <= 'z'))
	sprintf(s, "%c\0", src.p[i]);
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i] + ('' - ''));
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

CString loCase(const char *src)
{
  CString p;
  int len = strlen(src);
  p = "";
  if(src[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src[i] >= 'A') && (src[i] <= 'Z'))
	sprintf(s, "%c\0", src[i] + ('a' - 'A'));
      if((src[i] >= 'a') && (src[i] <= 'z'))
	sprintf(s, "%c\0", src[i]);
      if((src[i] >= '') && (src[i] <= ''))
	sprintf(s, "%c\0", src[i] + ('' - ''));
      if((src[i] >= '') && (src[i] <= ''))
	sprintf(s, "%c\0", src[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

Str35 loCase(const Str35 src)
{
  Str35 p;
  int len = strlen(src.p);
  p = "";
  if(src.p[0] != '\0') {
    for(int i = 0; i <= len - 1; i++) {
      char *s = new char[2];
      s[0] = '\0';
      if((src.p[i] >= 'A') && (src.p[i] <= 'Z'))
	sprintf(s, "%c\0", src.p[i] + ('a' - 'A'));
      if((src.p[i] >= 'a') && (src.p[i] <= 'z'))
	sprintf(s, "%c\0", src.p[i]);
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i] + ('' - ''));
      if((src.p[i] >= '') && (src.p[i] <= ''))
	sprintf(s, "%c\0", src.p[i]);
      p = p + s;
      delete s;
    }
  }
  return p;
}

Str35 clearNull(const Str35 src)
{
  Str35 dest;
  int p = 1;
  int len = strlen(src.p);
  for(int i = 0; i <= len - 1; i++) {
    if(src.p[i] == '0')
      p++;
    else
      break;
  }
  int slen = (len - p) + 1;
  dest = "";dest = copyStr(src, p, slen);
  return dest;
}
