#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "Typedef.h"
#include "DoraMainApp.h"

int main(int argc, char **argv)
{
  mode_t mask = umask(0);
  
  DoraRuntimeClass *doraClassApp    = RUNTIME_CLASS(DoraMainApp);
  DoraClassObject  *doraClassObject = doraClassApp->CreateApp(argc, argv);
  DoraMainApp *mainApp = dynamic_cast<DoraMainApp *>(doraClassObject);
  
  int result = mainApp->RunApp();
  mainApp->Destroy();
  delete mainApp;

  umask(mask);
  return result;
}
